### A free/open-source library for quantitative finance

Classes | Functions
ql/models/marketmodels/historicalratesanalysis.hpp File Reference

Statistical analysis of historical rates. More...

`#include <ql/math/statistics/sequencestatistics.hpp>`
`#include <ql/time/date.hpp>`
Include dependency graph for historicalratesanalysis.hpp:

## Classes

class | HistoricalRatesAnalysis
| Historical rate analysis class More...

## Functions

void | historicalRatesAnalysis (SequenceStatistics &statistics, std::vector< Date > &skippedDates, std::vector< std::string > &skippedDatesErrorMessage, const Date &startDate, const Date &endDate, const Period &step, const std::vector< boost::shared_ptr< InterestRateIndex > > &indexes)

## Detailed Description

Statistical analysis of historical rates.